Page MenuHomePhabricator

Fix GlobalWatchlist gadget on French Wikipedia
Closed, ResolvedPublic2 Story Points

Description

Marked as a GCI task, do not claim

Mentors: @kaldari (primary), @NiharikaKohli (secondary)


The GlobalWatchlist gadget on French Wikipedia loads, but when you try to interact with it, it throws JavaScript errors:
GlobalWatchlist_Search is not defined
GlobalWatchlist_AddWiki is not defined
GlobalWatchlist_Init is not defined

This is probably due to the scope changes introduced by ResourceLoader.

Gadget code: https://fr.wikipedia.org/wiki/MediaWiki:Gadget-GlobalWatchlist.js

Event Timeline

kaldari created this task.Nov 4 2015, 5:49 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 4 2015, 5:49 PM
kaldari triaged this task as Normal priority.Nov 4 2015, 6:20 PM
kaldari added a project: good first bug.
kaldari set Security to None.
kaldari moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
DannyH edited a custom field.Nov 6 2015, 7:28 PM
Niharika updated the task description. (Show Details)Nov 13 2015, 4:00 AM
Niharika added a project: Google-Code-In-2015.
Niharika added a subscriber: Niharika.
DannyH moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 1 2016, 11:03 PM
Od1n added a subscriber: Od1n.Feb 1 2018, 9:08 AM

Should be working again, see notably this edit.

Od1n closed this task as Resolved.Feb 1 2018, 1:25 PM